clc; clear all; close all;
% rozdil sigmaX sigmaY sigmaZ tauXY zateznych stavu MAX/MIN
A=[-9687300	-13434000	-28706000	651210;
31376000	-13569000	-15373000	2688000;
72439000	-13705000	-2041400	4724800;
103200000	264040	24729000	27878000;
133960000	14233000	51500000	51031000;
106960000	57663000	55794000	68041000;
79949000	101090000	60088000	85052000;
58642000	131700000	47127000	80587000;
37336000	162310000	34167000	76122000;
27037000	154230000	49955000	57014000;
612330	121310000	82693000	7874900]

size(A);

%rovnice pro vypocet hlavnich napeti
% sigmaX=A(i,1);
% sigmaY=A(i,2);
% sigmaZ=A(i,3);
% tauXY=A(i,4);
% tauXZ=0;
% tauYZ=0;

%TENZOR NAPETI
for i= 1:11
sigmaX=A(i,1);
sigmaY=A(i,2);
sigmaZ=A(i,3);
tauXY=A(i,4);
tauXZ=0;
tauYZ=0;

B=[sigmaX tauXY tauXZ;
   tauXY sigmaY tauYZ;
   tauXZ tauYZ sigmaZ];
[V,D]=eig(B);
sigma_1=max(diag(D));
sigma_3=min(diag(D));
sigma_red=sigma_1-sigma_3;
vektor(i)=[sigma_red]
fprintf('%d iterace sigma_1 = %d sigma_3 = %d sigma_red = %d \n',i,sigma_1,sigma_3, sigma_red);
end
format shortEng
disp('Vektor REDUKOVANYCH NAPETI:')
disp(vektor)
disp('Maximalni redukovany rozkmit[Pa]:')
[M,J]= max(vektor);
disp(M)

fprintf('maximum je v %d. iteraci \n', J)

%ekvivalentní redukované napětí

sigmaX_m=-2.43E+07/2;
sigmaY_m=-7.37E+07/2;
sigmaZ_m=-6.65E+07/2;
tauXY_m=-4.73E+06/2;
tauXZ=0;
tauYZ=0;
disp('***********************************************')
disp('ekvivalentní střední napětí - VYPOCET')

B_m=[sigmaX_m tauXY_m tauXZ;
   tauXY_m sigmaY_m tauYZ;
   tauXZ tauYZ sigmaZ_m];
[V_m,D_m]=eig(B_m);
sigma_1_m=max(diag(D_m))
sigma_3_m=min(diag(D_m))
disp('ekvivalentní střední napětí [Pa]:')

sigma_red_mean=sigma_1_m-sigma_3_m

fprintf('ekvivalentní střední napětí %.8f [MPa]\n',sigma_red_mean/1e6)









